/**************************************************************************/
/* FILE NAME: INTCISRVECTOR.c               COPYRIGHT (c) Freescale 2012  */
/*                                                All Rights Reserved     */
/* DESCRIPTION:                                                           */
/* This file contains a table of ISRs for INTC in software (SW) vector    */
/* mode. The table contains addresses for 1024 ISR vectors.               */
/* Table address stards at base of section ".isrvectbl"                   */
/* This file is an example Interrupt Service Routine call file with       */
/* ISR's be replaced by the user application code as needed.              */
/*                                                                        */
/*========================================================================*/
/* REV      AUTHOR        DATE        DESCRIPTION OF CHANGE               */
/* ---   -----------    ----------    ---------------------               */
/* 0.1   S. Mihalik      07/Jun/04    Initial version                     */
/* 0.2	  R. Moran       23/Feb/07    Modified for specific test ISRs	  */
/* 0.21	  I. Harris      11/Jan/10    Modified for specific test ISRs	  */
/* 0.23   I.Harris       01/Feb/11    Modified for GTM FPGA               */
/* 0.23   I.Harris       01/Feb/12    Modified for MPC5764M               */
/**************************************************************************/
#include "typedefs.h"
#include "MPC5643L_qs.h"
/*========================================================================*/
/*		PROTOTYPES						  */
/*========================================================================*/
void dummy 						  (void);

/*******************************************************************************
* Global ISR Function Prototypes
*******************************************************************************/
#ifdef IRQ_0_FCN
   extern void IRQ_0_FCN();
#endif

#ifdef IRQ_1_FCN
   extern void IRQ_1_FCN();
#endif

#ifdef IRQ_2_FCN
   extern void IRQ_2_FCN();
#endif

#ifdef IRQ_3_FCN
   extern void IRQ_3_FCN();
#endif

#ifdef IRQ_4_FCN
   extern void IRQ_4_FCN();
#endif

#ifdef IRQ_5_FCN
   extern void IRQ_5_FCN();
#endif

#ifdef IRQ_6_FCN
   extern void IRQ_6_FCN();
#endif

#ifdef IRQ_7_FCN
   extern void IRQ_7_FCN();
#endif

#ifdef IRQ_8_FCN
   extern void IRQ_8_FCN();
#endif

#ifdef IRQ_9_FCN
   extern void IRQ_9_FCN();
#endif

#ifdef IRQ_10_FCN
   extern void IRQ_10_FCN();
#endif

#ifdef IRQ_11_FCN
   extern void IRQ_11_FCN();
#endif

#ifdef IRQ_12_FCN
   extern void IRQ_12_FCN();
#endif

#ifdef IRQ_13_FCN
   extern void IRQ_13_FCN();
#endif

#ifdef IRQ_14_FCN
   extern void IRQ_14_FCN();
#endif

#ifdef IRQ_15_FCN
   extern void IRQ_15_FCN();
#endif

#ifdef IRQ_16_FCN
   extern void IRQ_16_FCN();
#endif

#ifdef IRQ_17_FCN
   extern void IRQ_17_FCN();
#endif

#ifdef IRQ_18_FCN
   extern void IRQ_18_FCN();
#endif

#ifdef IRQ_19_FCN
   extern void IRQ_19_FCN();
#endif

#ifdef IRQ_20_FCN
   extern void IRQ_20_FCN();
#endif

#ifdef IRQ_21_FCN
   extern void IRQ_21_FCN();
#endif

#ifdef IRQ_22_FCN
   extern void IRQ_22_FCN();
#endif

#ifdef IRQ_23_FCN
   extern void IRQ_23_FCN();
#endif

#ifdef IRQ_24_FCN
   extern void IRQ_24_FCN();
#endif

#ifdef IRQ_25_FCN
   extern void IRQ_25_FCN();
#endif

#ifdef IRQ_26_FCN
   extern void IRQ_26_FCN();
#endif

#ifdef IRQ_27_FCN
   extern void IRQ_27_FCN();
#endif

#ifdef IRQ_28_FCN
   extern void IRQ_28_FCN();
#endif

#ifdef IRQ_29_FCN
   extern void IRQ_29_FCN();
#endif

#ifdef IRQ_30_FCN
   extern void IRQ_30_FCN();
#endif

#ifdef IRQ_31_FCN
   extern void IRQ_31_FCN();
#endif

#ifdef IRQ_32_FCN
   extern void IRQ_32_FCN();
#endif

#ifdef IRQ_33_FCN
   extern void IRQ_33_FCN();
#endif

#ifdef IRQ_34_FCN
   extern void IRQ_34_FCN();
#endif

#ifdef IRQ_35_FCN
   extern void IRQ_35_FCN();
#endif

#ifdef IRQ_36_FCN
   extern void IRQ_36_FCN();
#endif

#ifdef IRQ_37_FCN
   extern void IRQ_37_FCN();
#endif

#ifdef IRQ_38_FCN
   extern void IRQ_38_FCN();
#endif

#ifdef IRQ_39_FCN
   extern void IRQ_39_FCN();
#endif

#ifdef IRQ_40_FCN
   extern void IRQ_40_FCN();
#endif

#ifdef IRQ_41_FCN
   extern void IRQ_41_FCN();
#endif

#ifdef IRQ_42_FCN
   extern void IRQ_42_FCN();
#endif

#ifdef IRQ_43_FCN
   extern void IRQ_43_FCN();
#endif

#ifdef IRQ_44_FCN
   extern void IRQ_44_FCN();
#endif

#ifdef IRQ_45_FCN
   extern void IRQ_45_FCN();
#endif

#ifdef IRQ_46_FCN
   extern void IRQ_46_FCN();
#endif

#ifdef IRQ_47_FCN
   extern void IRQ_47_FCN();
#endif

#ifdef IRQ_48_FCN
   extern void IRQ_48_FCN();
#endif

#ifdef IRQ_49_FCN
   extern void IRQ_49_FCN();
#endif

#ifdef IRQ_50_FCN
   extern void IRQ_50_FCN();
#endif

#ifdef IRQ_51_FCN
   extern void IRQ_51_FCN();
#endif

#ifdef IRQ_52_FCN
   extern void IRQ_52_FCN();
#endif

#ifdef IRQ_53_FCN
   extern void IRQ_53_FCN();
#endif

#ifdef IRQ_54_FCN
   extern void IRQ_54_FCN();
#endif

#ifdef IRQ_55_FCN
   extern void IRQ_55_FCN();
#endif

#ifdef IRQ_56_FCN
   extern void IRQ_56_FCN();
#endif

#ifdef IRQ_57_FCN
   extern void IRQ_57_FCN();
#endif

#ifdef IRQ_58_FCN
   extern void IRQ_58_FCN();
#endif

#ifdef IRQ_59_FCN
   extern void IRQ_59_FCN();
#endif

#ifdef IRQ_60_FCN
   extern void IRQ_60_FCN();
#endif

#ifdef IRQ_61_FCN
   extern void IRQ_61_FCN();
#endif

#ifdef IRQ_62_FCN
   extern void IRQ_62_FCN();
#endif

#ifdef IRQ_63_FCN
   extern void IRQ_63_FCN();
#endif

#ifdef IRQ_64_FCN
   extern void IRQ_64_FCN();
#endif

#ifdef IRQ_65_FCN
   extern void IRQ_65_FCN();
#endif

#ifdef IRQ_66_FCN
   extern void IRQ_66_FCN();
#endif

#ifdef IRQ_67_FCN
   extern void IRQ_67_FCN();
#endif

#ifdef IRQ_68_FCN
   extern void IRQ_68_FCN();
#endif

#ifdef IRQ_69_FCN
   extern void IRQ_69_FCN();
#endif

#ifdef IRQ_70_FCN
   extern void IRQ_70_FCN();
#endif

#ifdef IRQ_71_FCN
   extern void IRQ_71_FCN();
#endif

#ifdef IRQ_72_FCN
   extern void IRQ_72_FCN();
#endif

#ifdef IRQ_73_FCN
   extern void IRQ_73_FCN();
#endif

#ifdef IRQ_74_FCN
   extern void IRQ_74_FCN();
#endif

#ifdef IRQ_75_FCN
   extern void IRQ_75_FCN();
#endif

#ifdef IRQ_76_FCN
   extern void IRQ_76_FCN();
#endif

#ifdef IRQ_77_FCN
   extern void IRQ_77_FCN();
#endif

#ifdef IRQ_78_FCN
   extern void IRQ_78_FCN();
#endif

#ifdef IRQ_79_FCN
   extern void IRQ_79_FCN();
#endif

#ifdef IRQ_80_FCN
   extern void IRQ_80_FCN();
#endif

#ifdef IRQ_81_FCN
   extern void IRQ_81_FCN();
#endif

#ifdef IRQ_82_FCN
   extern void IRQ_82_FCN();
#endif

#ifdef IRQ_83_FCN
   extern void IRQ_83_FCN();
#endif

#ifdef IRQ_84_FCN
   extern void IRQ_84_FCN();
#endif

#ifdef IRQ_85_FCN
   extern void IRQ_85_FCN();
#endif

#ifdef IRQ_86_FCN
   extern void IRQ_86_FCN();
#endif

#ifdef IRQ_87_FCN
   extern void IRQ_87_FCN();
#endif

#ifdef IRQ_88_FCN
   extern void IRQ_88_FCN();
#endif

#ifdef IRQ_89_FCN
   extern void IRQ_89_FCN();
#endif

#ifdef IRQ_90_FCN
   extern void IRQ_90_FCN();
#endif

#ifdef IRQ_91_FCN
   extern void IRQ_91_FCN();
#endif

#ifdef IRQ_92_FCN
   extern void IRQ_92_FCN();
#endif

#ifdef IRQ_93_FCN
   extern void IRQ_93_FCN();
#endif

#ifdef IRQ_94_FCN
   extern void IRQ_94_FCN();
#endif

#ifdef IRQ_95_FCN
   extern void IRQ_95_FCN();
#endif

#ifdef IRQ_96_FCN
   extern void IRQ_96_FCN();
#endif

#ifdef IRQ_97_FCN
   extern void IRQ_97_FCN();
#endif

#ifdef IRQ_98_FCN
   extern void IRQ_98_FCN();
#endif

#ifdef IRQ_99_FCN
   extern void IRQ_99_FCN();
#endif

#ifdef IRQ_100_FCN
   extern void IRQ_100_FCN();
#endif

#ifdef IRQ_101_FCN
   extern void IRQ_101_FCN();
#endif

#ifdef IRQ_102_FCN
   extern void IRQ_102_FCN();
#endif

#ifdef IRQ_103_FCN
   extern void IRQ_103_FCN();
#endif

#ifdef IRQ_104_FCN
   extern void IRQ_104_FCN();
#endif

#ifdef IRQ_105_FCN
   extern void IRQ_105_FCN();
#endif

#ifdef IRQ_106_FCN
   extern void IRQ_106_FCN();
#endif

#ifdef IRQ_107_FCN
   extern void IRQ_107_FCN();
#endif

#ifdef IRQ_108_FCN
   extern void IRQ_108_FCN();
#endif

#ifdef IRQ_109_FCN
   extern void IRQ_109_FCN();
#endif

#ifdef IRQ_110_FCN
   extern void IRQ_110_FCN();
#endif

#ifdef IRQ_111_FCN
   extern void IRQ_111_FCN();
#endif

#ifdef IRQ_112_FCN
   extern void IRQ_112_FCN();
#endif

#ifdef IRQ_113_FCN
   extern void IRQ_113_FCN();
#endif

#ifdef IRQ_114_FCN
   extern void IRQ_114_FCN();
#endif

#ifdef IRQ_115_FCN
   extern void IRQ_115_FCN();
#endif

#ifdef IRQ_116_FCN
   extern void IRQ_116_FCN();
#endif

#ifdef IRQ_117_FCN
   extern void IRQ_117_FCN();
#endif

#ifdef IRQ_118_FCN
   extern void IRQ_118_FCN();
#endif

#ifdef IRQ_119_FCN
   extern void IRQ_119_FCN();
#endif

#ifdef IRQ_120_FCN
   extern void IRQ_120_FCN();
#endif

#ifdef IRQ_121_FCN
   extern void IRQ_121_FCN();
#endif

#ifdef IRQ_122_FCN
   extern void IRQ_122_FCN();
#endif

#ifdef IRQ_123_FCN
   extern void IRQ_123_FCN();
#endif

#ifdef IRQ_124_FCN
   extern void IRQ_124_FCN();
#endif

#ifdef IRQ_125_FCN
   extern void IRQ_125_FCN();
#endif

#ifdef IRQ_126_FCN
   extern void IRQ_126_FCN();
#endif

#ifdef IRQ_127_FCN
   extern void IRQ_127_FCN();
#endif

#ifdef IRQ_128_FCN
   extern void IRQ_128_FCN();
#endif

#ifdef IRQ_129_FCN
   extern void IRQ_129_FCN();
#endif

#ifdef IRQ_130_FCN
   extern void IRQ_130_FCN();
#endif

#ifdef IRQ_131_FCN
   extern void IRQ_131_FCN();
#endif

#ifdef IRQ_132_FCN
   extern void IRQ_132_FCN();
#endif

#ifdef IRQ_133_FCN
   extern void IRQ_133_FCN();
#endif

#ifdef IRQ_134_FCN
   extern void IRQ_134_FCN();
#endif

#ifdef IRQ_135_FCN
   extern void IRQ_135_FCN();
#endif

#ifdef IRQ_136_FCN
   extern void IRQ_136_FCN();
#endif

#ifdef IRQ_137_FCN
   extern void IRQ_137_FCN();
#endif

#ifdef IRQ_138_FCN
   extern void IRQ_138_FCN();
#endif

#ifdef IRQ_139_FCN
   extern void IRQ_139_FCN();
#endif

#ifdef IRQ_140_FCN
   extern void IRQ_140_FCN();
#endif

#ifdef IRQ_141_FCN
   extern void IRQ_141_FCN();
#endif

#ifdef IRQ_142_FCN
   extern void IRQ_142_FCN();
#endif

#ifdef IRQ_143_FCN
   extern void IRQ_143_FCN();
#endif

#ifdef IRQ_144_FCN
   extern void IRQ_144_FCN();
#endif

#ifdef IRQ_145_FCN
   extern void IRQ_145_FCN();
#endif

#ifdef IRQ_146_FCN
   extern void IRQ_146_FCN();
#endif

#ifdef IRQ_147_FCN
   extern void IRQ_147_FCN();
#endif

#ifdef IRQ_148_FCN
   extern void IRQ_148_FCN();
#endif

#ifdef IRQ_149_FCN
   extern void IRQ_149_FCN();
#endif

#ifdef IRQ_150_FCN
   extern void IRQ_150_FCN();
#endif

#ifdef IRQ_151_FCN
   extern void IRQ_151_FCN();
#endif

#ifdef IRQ_152_FCN
   extern void IRQ_152_FCN();
#endif

#ifdef IRQ_153_FCN
   extern void IRQ_153_FCN();
#endif

#ifdef IRQ_154_FCN
   extern void IRQ_154_FCN();
#endif

#ifdef IRQ_155_FCN
   extern void IRQ_155_FCN();
#endif

#ifdef IRQ_156_FCN
   extern void IRQ_156_FCN();
#endif

#ifdef IRQ_157_FCN
   extern void IRQ_157_FCN();
#endif

#ifdef IRQ_158_FCN
   extern void IRQ_158_FCN();
#endif

#ifdef IRQ_159_FCN
   extern void IRQ_159_FCN();
#endif

#ifdef IRQ_160_FCN
   extern void IRQ_160_FCN();
#endif

#ifdef IRQ_161_FCN
   extern void IRQ_161_FCN();
#endif

#ifdef IRQ_162_FCN
   extern void IRQ_162_FCN();
#endif

#ifdef IRQ_163_FCN
   extern void IRQ_163_FCN();
#endif

#ifdef IRQ_164_FCN
   extern void IRQ_164_FCN();
#endif

#ifdef IRQ_165_FCN
   extern void IRQ_165_FCN();
#endif

#ifdef IRQ_166_FCN
   extern void IRQ_166_FCN();
#endif

#ifdef IRQ_167_FCN
   extern void IRQ_167_FCN();
#endif

#ifdef IRQ_168_FCN
   extern void IRQ_168_FCN();
#endif

#ifdef IRQ_169_FCN
   extern void IRQ_169_FCN();
#endif

#ifdef IRQ_170_FCN
   extern void IRQ_170_FCN();
#endif

#ifdef IRQ_171_FCN
   extern void IRQ_171_FCN();
#endif

#ifdef IRQ_172_FCN
   extern void IRQ_172_FCN();
#endif

#ifdef IRQ_173_FCN
   extern void IRQ_173_FCN();
#endif

#ifdef IRQ_174_FCN
   extern void IRQ_174_FCN();
#endif

#ifdef IRQ_175_FCN
   extern void IRQ_175_FCN();
#endif

#ifdef IRQ_176_FCN
   extern void IRQ_176_FCN();
#endif

#ifdef IRQ_177_FCN
   extern void IRQ_177_FCN();
#endif

#ifdef IRQ_178_FCN
   extern void IRQ_178_FCN();
#endif

#ifdef IRQ_179_FCN
   extern void IRQ_179_FCN();
#endif

#ifdef IRQ_180_FCN
   extern void IRQ_180_FCN();
#endif

#ifdef IRQ_181_FCN
   extern void IRQ_181_FCN();
#endif

#ifdef IRQ_182_FCN
   extern void IRQ_182_FCN();
#endif

#ifdef IRQ_183_FCN
   extern void IRQ_183_FCN();
#endif

#ifdef IRQ_184_FCN
   extern void IRQ_184_FCN();
#endif

#ifdef IRQ_185_FCN
   extern void IRQ_185_FCN();
#endif

#ifdef IRQ_186_FCN
   extern void IRQ_186_FCN();
#endif

#ifdef IRQ_187_FCN
   extern void IRQ_187_FCN();
#endif

#ifdef IRQ_188_FCN
   extern void IRQ_188_FCN();
#endif

#ifdef IRQ_189_FCN
   extern void IRQ_189_FCN();
#endif

#ifdef IRQ_190_FCN
   extern void IRQ_190_FCN();
#endif

#ifdef IRQ_191_FCN
   extern void IRQ_191_FCN();
#endif

#ifdef IRQ_192_FCN
   extern void IRQ_192_FCN();
#endif

#ifdef IRQ_193_FCN
   extern void IRQ_193_FCN();
#endif

#ifdef IRQ_194_FCN
   extern void IRQ_194_FCN();
#endif

#ifdef IRQ_195_FCN
   extern void IRQ_195_FCN();
#endif

#ifdef IRQ_196_FCN
   extern void IRQ_196_FCN();
#endif

#ifdef IRQ_197_FCN
   extern void IRQ_197_FCN();
#endif

#ifdef IRQ_198_FCN
   extern void IRQ_198_FCN();
#endif

#ifdef IRQ_199_FCN
   extern void IRQ_199_FCN();
#endif

#ifdef IRQ_200_FCN
   extern void IRQ_200_FCN();
#endif

#ifdef IRQ_201_FCN
   extern void IRQ_201_FCN();
#endif

#ifdef IRQ_202_FCN
   extern void IRQ_202_FCN();
#endif

#ifdef IRQ_203_FCN
   extern void IRQ_203_FCN();
#endif

#ifdef IRQ_204_FCN
   extern void IRQ_204_FCN();
#endif

#ifdef IRQ_205_FCN
   extern void IRQ_205_FCN();
#endif

#ifdef IRQ_206_FCN
   extern void IRQ_206_FCN();
#endif

#ifdef IRQ_207_FCN
   extern void IRQ_207_FCN();
#endif

#ifdef IRQ_208_FCN
   extern void IRQ_208_FCN();
#endif

#ifdef IRQ_209_FCN
   extern void IRQ_209_FCN();
#endif

#ifdef IRQ_210_FCN
   extern void IRQ_210_FCN();
#endif

#ifdef IRQ_211_FCN
   extern void IRQ_211_FCN();
#endif

#ifdef IRQ_212_FCN
   extern void IRQ_212_FCN();
#endif

#ifdef IRQ_213_FCN
   extern void IRQ_213_FCN();
#endif

#ifdef IRQ_214_FCN
   extern void IRQ_214_FCN();
#endif

#ifdef IRQ_215_FCN
   extern void IRQ_215_FCN();
#endif

#ifdef IRQ_216_FCN
   extern void IRQ_216_FCN();
#endif

#ifdef IRQ_217_FCN
   extern void IRQ_217_FCN();
#endif

#ifdef IRQ_218_FCN
   extern void IRQ_218_FCN();
#endif

#ifdef IRQ_219_FCN
   extern void IRQ_219_FCN();
#endif

#ifdef IRQ_220_FCN
   extern void IRQ_220_FCN();
#endif

#ifdef IRQ_221_FCN
   extern void IRQ_221_FCN();
#endif

#ifdef IRQ_222_FCN
   extern void IRQ_222_FCN();
#endif

#ifdef IRQ_223_FCN
   extern void IRQ_223_FCN();
#endif

#ifdef IRQ_224_FCN
   extern void IRQ_224_FCN();
#endif

#ifdef IRQ_225_FCN
   extern void IRQ_225_FCN();
#endif

#ifdef IRQ_226_FCN
   extern void IRQ_226_FCN();
#endif

#ifdef IRQ_227_FCN
   extern void IRQ_227_FCN();
#endif

#ifdef IRQ_228_FCN
   extern void IRQ_228_FCN();
#endif

#ifdef IRQ_229_FCN
   extern void IRQ_229_FCN();
#endif

#ifdef IRQ_230_FCN
   extern void IRQ_230_FCN();
#endif

#ifdef IRQ_231_FCN
   extern void IRQ_231_FCN();
#endif

#ifdef IRQ_232_FCN
   extern void IRQ_232_FCN();
#endif

#ifdef IRQ_233_FCN
   extern void IRQ_233_FCN();
#endif

#ifdef IRQ_234_FCN
   extern void IRQ_234_FCN();
#endif

#ifdef IRQ_235_FCN
   extern void IRQ_235_FCN();
#endif

#ifdef IRQ_236_FCN
   extern void IRQ_236_FCN();
#endif

#ifdef IRQ_237_FCN
   extern void IRQ_237_FCN();
#endif

#ifdef IRQ_238_FCN
   extern void IRQ_238_FCN();
#endif

#ifdef IRQ_239_FCN
   extern void IRQ_239_FCN();
#endif

#ifdef IRQ_240_FCN
   extern void IRQ_240_FCN();
#endif

#ifdef IRQ_241_FCN
   extern void IRQ_241_FCN();
#endif

#ifdef IRQ_242_FCN
   extern void IRQ_242_FCN();
#endif

#ifdef IRQ_243_FCN
   extern void IRQ_243_FCN();
#endif

#ifdef IRQ_244_FCN
   extern void IRQ_244_FCN();
#endif

#ifdef IRQ_245_FCN
   extern void IRQ_245_FCN();
#endif

#ifdef IRQ_246_FCN
   extern void IRQ_246_FCN();
#endif

#ifdef IRQ_247_FCN
   extern void IRQ_247_FCN();
#endif

#ifdef IRQ_248_FCN
   extern void IRQ_248_FCN();
#endif

#ifdef IRQ_249_FCN
   extern void IRQ_249_FCN();
#endif
/*========================================================================*/
/*	GLOBAL VARIABLES						  */
/*========================================================================*/
        
const uint32_t __attribute__ ((section (".intc_vector_table"))) IntcIsrVectorTable[] = {
#ifdef IRQ_0_FCN             /* ISR 0 */
   (tU32)&IRQ_0_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_1_FCN             /* ISR 1 */
   (tU32)&IRQ_1_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_2_FCN             /* ISR 2 */
   (tU32)&IRQ_2_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_3_FCN             /* ISR 3 */
   (tU32)&IRQ_3_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_4_FCN             /* ISR 4 */
   (tU32)&IRQ_4_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_5_FCN             /* ISR 5 */
   (tU32)&IRQ_5_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_6_FCN             /* ISR 6 */
   (tU32)&IRQ_6_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_7_FCN             /* ISR 7 */
   (tU32)&IRQ_7_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_8_FCN             /* ISR 8 */
   (tU32)&IRQ_8_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_9_FCN             /* ISR 9 */
   (tU32)&IRQ_9_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_10_FCN            /* ISR 10 */
   (tU32)&IRQ_10_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_11_FCN            /* ISR 11 */
   (tU32)&IRQ_11_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_12_FCN            /* ISR 12 */
   (tU32)&IRQ_12_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_13_FCN            /* ISR 13 */
   (tU32)&IRQ_13_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_14_FCN            /* ISR 14 */
   (tU32)&IRQ_14_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_15_FCN            /* ISR 15 */
   (tU32)&IRQ_15_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_16_FCN            /* ISR 16 */
   (tU32)&IRQ_16_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_17_FCN            /* ISR 17 */
   (tU32)&IRQ_17_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_18_FCN            /* ISR 18 */
   (tU32)&IRQ_18_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_19_FCN            /* ISR 19 */
   (tU32)&IRQ_19_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_20_FCN            /* ISR 20 */
   (tU32)&IRQ_20_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_21_FCN            /* ISR 21 */
   (tU32)&IRQ_21_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_22_FCN            /* ISR 22 */
   (tU32)&IRQ_22_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_23_FCN            /* ISR 23 */
   (tU32)&IRQ_23_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_24_FCN            /* ISR 24 */
   (tU32)&IRQ_24_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_25_FCN            /* ISR 25 */
   (tU32)&IRQ_25_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_26_FCN            /* ISR 26 */
   (tU32)&IRQ_26_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_27_FCN            /* ISR 27 */
   (tU32)&IRQ_27_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_28_FCN            /* ISR 28 */
   (tU32)&IRQ_28_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_29_FCN            /* ISR 29 */
   (tU32)&IRQ_29_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_30_FCN            /* ISR 30 */
   (tU32)&IRQ_30_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_31_FCN            /* ISR 31 */
   (tU32)&IRQ_31_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_32_FCN            /* ISR 32 */
   (tU32)&IRQ_32_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_33_FCN            /* ISR 33 */
   (tU32)&IRQ_33_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_34_FCN            /* ISR 34 */
   (tU32)&IRQ_34_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_35_FCN            /* ISR 35 */
   (tU32)&IRQ_35_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_36_FCN            /* ISR 36 */
   (tU32)&IRQ_36_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_37_FCN            /* ISR 37 */
   (tU32)&IRQ_37_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_38_FCN            /* ISR 38 */
   (tU32)&IRQ_38_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_39_FCN            /* ISR 39 */
   (tU32)&IRQ_39_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_40_FCN            /* ISR 40 */
   (tU32)&IRQ_40_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_41_FCN            /* ISR 41 */
   (tU32)&IRQ_41_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_42_FCN            /* ISR 42 */
   (tU32)&IRQ_42_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_43_FCN            /* ISR 43 */
   (tU32)&IRQ_43_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_44_FCN            /* ISR 44 */
   (tU32)&IRQ_44_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_45_FCN            /* ISR 45 */
   (tU32)&IRQ_45_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_46_FCN            /* ISR 46 */
   (tU32)&IRQ_46_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_47_FCN            /* ISR 47 */
   (tU32)&IRQ_47_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_48_FCN            /* ISR 48 */
   (tU32)&IRQ_48_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_49_FCN            /* ISR 49 */
   (tU32)&IRQ_49_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_50_FCN            /* ISR 50 */
   (tU32)&IRQ_50_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_51_FCN            /* ISR 51 */
   (tU32)&IRQ_51_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_52_FCN            /* ISR 52 */
   (tU32)&IRQ_52_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_53_FCN            /* ISR 53 */
   (tU32)&IRQ_53_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_54_FCN            /* ISR 54 */
   (tU32)&IRQ_54_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_55_FCN            /* ISR 55 */
   (tU32)&IRQ_55_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_56_FCN            /* ISR 56 */
   (tU32)&IRQ_56_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_57_FCN            /* ISR 57 */
   (tU32)&IRQ_57_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_58_FCN            /* ISR 58 */
   (tU32)&IRQ_58_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_59_FCN            /* ISR 59 */
   (tU32)&IRQ_59_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_60_FCN            /* ISR 60 */
   (tU32)&IRQ_60_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_61_FCN            /* ISR 61 */
   (tU32)&IRQ_61_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_62_FCN            /* ISR 62 */
   (tU32)&IRQ_62_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_63_FCN            /* ISR 63 */
   (tU32)&IRQ_63_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_64_FCN            /* ISR 64 */
   (tU32)&IRQ_64_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_65_FCN            /* ISR 65 */
   (tU32)&IRQ_65_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_66_FCN            /* ISR 66 */
   (tU32)&IRQ_66_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_67_FCN            /* ISR 67 */
   (tU32)&IRQ_67_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_68_FCN            /* ISR 68 */
   (tU32)&IRQ_68_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_69_FCN            /* ISR 69 */
   (tU32)&IRQ_69_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_70_FCN            /* ISR 70 */
   (tU32)&IRQ_70_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_71_FCN            /* ISR 71 */
   (tU32)&IRQ_71_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_72_FCN            /* ISR 72 */
   (tU32)&IRQ_72_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_73_FCN            /* ISR 73 */
   (tU32)&IRQ_73_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_74_FCN            /* ISR 74 */
   (tU32)&IRQ_74_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_75_FCN            /* ISR 75 */
   (tU32)&IRQ_75_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_76_FCN            /* ISR 76 */
   (tU32)&IRQ_76_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_77_FCN            /* ISR 77 */
   (tU32)&IRQ_77_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_78_FCN            /* ISR 78 */
   (tU32)&IRQ_78_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_79_FCN            /* ISR 79 */
   (tU32)&IRQ_79_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_80_FCN            /* ISR 80 */
   (tU32)&IRQ_80_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_81_FCN            /* ISR 81 */
   (tU32)&IRQ_81_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_82_FCN            /* ISR 82 */
   (tU32)&IRQ_82_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_83_FCN            /* ISR 83 */
   (tU32)&IRQ_83_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_84_FCN            /* ISR 84 */
   (tU32)&IRQ_84_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_85_FCN            /* ISR 85 */
   (tU32)&IRQ_85_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_86_FCN            /* ISR 86 */
   (tU32)&IRQ_86_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_87_FCN            /* ISR 87 */
   (tU32)&IRQ_87_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_88_FCN            /* ISR 88 */
   (tU32)&IRQ_88_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_89_FCN            /* ISR 89 */
   (tU32)&IRQ_89_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_90_FCN            /* ISR 90 */
   (tU32)&IRQ_90_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_91_FCN            /* ISR 91 */
   (tU32)&IRQ_91_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_92_FCN            /* ISR 92 */
   (tU32)&IRQ_92_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_93_FCN            /* ISR 93 */
   (tU32)&IRQ_93_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_94_FCN            /* ISR 94 */
   (tU32)&IRQ_94_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_95_FCN            /* ISR 95 */
   (tU32)&IRQ_95_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_96_FCN            /* ISR 96 */
   (tU32)&IRQ_96_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_97_FCN            /* ISR 97 */
   (tU32)&IRQ_97_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_98_FCN            /* ISR 98 */
   (tU32)&IRQ_98_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_99_FCN            /* ISR 99 */
   (tU32)&IRQ_99_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_100_FCN           /* ISR 100 */
   (tU32)&IRQ_100_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_101_FCN           /* ISR 101 */
   (tU32)&IRQ_101_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_102_FCN           /* ISR 102 */
   (tU32)&IRQ_102_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_103_FCN           /* ISR 103 */
   (tU32)&IRQ_103_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_104_FCN           /* ISR 104 */
   (tU32)&IRQ_104_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_105_FCN           /* ISR 105 */
   (tU32)&IRQ_105_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_106_FCN           /* ISR 106 */
   (tU32)&IRQ_106_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_107_FCN           /* ISR 107 */
   (tU32)&IRQ_107_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_108_FCN           /* ISR 108 */
   (tU32)&IRQ_108_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_109_FCN           /* ISR 109 */
   (tU32)&IRQ_109_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_110_FCN           /* ISR 110 */
   (tU32)&IRQ_110_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_111_FCN           /* ISR 111 */
   (tU32)&IRQ_111_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_112_FCN           /* ISR 112 */
   (tU32)&IRQ_112_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_113_FCN           /* ISR 113 */
   (tU32)&IRQ_113_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_114_FCN           /* ISR 114 */
   (tU32)&IRQ_114_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_115_FCN           /* ISR 115 */
   (tU32)&IRQ_115_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_116_FCN           /* ISR 116 */
   (tU32)&IRQ_116_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_117_FCN           /* ISR 117 */
   (tU32)&IRQ_117_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_118_FCN           /* ISR 118 */
   (tU32)&IRQ_118_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_119_FCN           /* ISR 119 */
   (tU32)&IRQ_119_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_120_FCN           /* ISR 120 */
   (tU32)&IRQ_120_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_121_FCN           /* ISR 121 */
   (tU32)&IRQ_121_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_122_FCN           /* ISR 122 */
   (tU32)&IRQ_122_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_123_FCN           /* ISR 123 */
   (tU32)&IRQ_123_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_124_FCN           /* ISR 124 */
   (tU32)&IRQ_124_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_125_FCN           /* ISR 125 */
   (tU32)&IRQ_125_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_126_FCN           /* ISR 126 */
   (tU32)&IRQ_126_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_127_FCN           /* ISR 127 */
   (tU32)&IRQ_127_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_128_FCN           /* ISR 128 */
   (tU32)&IRQ_128_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_129_FCN           /* ISR 129 */
   (tU32)&IRQ_129_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_130_FCN           /* ISR 130 */
   (tU32)&IRQ_130_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_131_FCN           /* ISR 131 */
   (tU32)&IRQ_131_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_132_FCN           /* ISR 132 */
   (tU32)&IRQ_132_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_133_FCN           /* ISR 133 */
   (tU32)&IRQ_133_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_134_FCN           /* ISR 134 */
   (tU32)&IRQ_134_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_135_FCN           /* ISR 135 */
   (tU32)&IRQ_135_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_136_FCN           /* ISR 136 */
   (tU32)&IRQ_136_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_137_FCN           /* ISR 137 */
   (tU32)&IRQ_137_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_138_FCN           /* ISR 138 */
   (tU32)&IRQ_138_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_139_FCN           /* ISR 139 */
   (tU32)&IRQ_139_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_140_FCN           /* ISR 140 */
   (tU32)&IRQ_140_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_141_FCN           /* ISR 141 */
   (tU32)&IRQ_141_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_142_FCN           /* ISR 142 */
   (tU32)&IRQ_142_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_143_FCN           /* ISR 143 */
   (tU32)&IRQ_143_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_144_FCN           /* ISR 144 */
   (tU32)&IRQ_144_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_145_FCN           /* ISR 145 */
   (tU32)&IRQ_145_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_146_FCN           /* ISR 146 */
   (tU32)&IRQ_146_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_147_FCN           /* ISR 147 */
   (tU32)&IRQ_147_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_148_FCN           /* ISR 148 */
   (tU32)&IRQ_148_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_149_FCN           /* ISR 149 */
   (tU32)&IRQ_149_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_150_FCN           /* ISR 150 */
   (tU32)&IRQ_150_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_151_FCN           /* ISR 151 */
   (tU32)&IRQ_151_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_152_FCN           /* ISR 152 */
   (tU32)&IRQ_152_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_153_FCN           /* ISR 153 */
   (tU32)&IRQ_153_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_154_FCN           /* ISR 154 */
   (tU32)&IRQ_154_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_155_FCN           /* ISR 155 */
   (tU32)&IRQ_155_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_156_FCN           /* ISR 156 */
   (tU32)&IRQ_156_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_157_FCN           /* ISR 157 */
   (tU32)&IRQ_157_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_158_FCN           /* ISR 158 */
   (tU32)&IRQ_158_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_159_FCN           /* ISR 159 */
   (tU32)&IRQ_159_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_160_FCN           /* ISR 160 */
   (tU32)&IRQ_160_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_161_FCN           /* ISR 161 */
   (tU32)&IRQ_161_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_162_FCN           /* ISR 162 */
   (tU32)&IRQ_162_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_163_FCN           /* ISR 163 */
   (tU32)&IRQ_163_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_164_FCN           /* ISR 164 */
   (tU32)&IRQ_164_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_165_FCN           /* ISR 165 */
   (tU32)&IRQ_165_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_166_FCN           /* ISR 166 */
   (tU32)&IRQ_166_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_167_FCN           /* ISR 167 */
   (tU32)&IRQ_167_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_168_FCN           /* ISR 168 */
   (tU32)&IRQ_168_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_169_FCN           /* ISR 169 */
   (tU32)&IRQ_169_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_170_FCN           /* ISR 170 */
   (tU32)&IRQ_170_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_171_FCN           /* ISR 171 */
   (tU32)&IRQ_171_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_172_FCN           /* ISR 172 */
   (tU32)&IRQ_172_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_173_FCN           /* ISR 173 */
   (tU32)&IRQ_173_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_174_FCN           /* ISR 174 */
   (tU32)&IRQ_174_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_175_FCN           /* ISR 175 */
   (tU32)&IRQ_175_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_176_FCN           /* ISR 176 */
   (tU32)&IRQ_176_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_177_FCN           /* ISR 177 */
   (tU32)&IRQ_177_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_178_FCN           /* ISR 178 */
   (tU32)&IRQ_178_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_179_FCN           /* ISR 179 */
   (tU32)&IRQ_179_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_180_FCN           /* ISR 180 */
   (tU32)&IRQ_180_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_181_FCN           /* ISR 181 */
   (tU32)&IRQ_181_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_182_FCN           /* ISR 182 */
   (tU32)&IRQ_182_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_183_FCN           /* ISR 183 */
   (tU32)&IRQ_183_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_184_FCN           /* ISR 184 */
   (tU32)&IRQ_184_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_185_FCN           /* ISR 185 */
   (tU32)&IRQ_185_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_186_FCN           /* ISR 186 */
   (tU32)&IRQ_186_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_187_FCN           /* ISR 187 */
   (tU32)&IRQ_187_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_188_FCN           /* ISR 188 */
   (tU32)&IRQ_188_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_189_FCN           /* ISR 189 */
   (tU32)&IRQ_189_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_190_FCN           /* ISR 190 */
   (tU32)&IRQ_190_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_191_FCN           /* ISR 191 */
   (tU32)&IRQ_191_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_192_FCN           /* ISR 192 */
   (tU32)&IRQ_192_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_193_FCN           /* ISR 193 */
   (tU32)&IRQ_193_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_194_FCN           /* ISR 194 */
   (tU32)&IRQ_194_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_195_FCN           /* ISR 195 */
   (tU32)&IRQ_195_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_196_FCN           /* ISR 196 */
   (tU32)&IRQ_196_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_197_FCN           /* ISR 197 */
   (tU32)&IRQ_197_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_198_FCN           /* ISR 198 */
   (tU32)&IRQ_198_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_199_FCN           /* ISR 199 */
   (tU32)&IRQ_199_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_200_FCN           /* ISR 200 */
   (tU32)&IRQ_200_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_201_FCN           /* ISR 201 */
   (tU32)&IRQ_201_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_202_FCN           /* ISR 202 */
   (tU32)&IRQ_202_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_203_FCN           /* ISR 203 */
   (tU32)&IRQ_203_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_204_FCN           /* ISR 204 */
   (tU32)&IRQ_204_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_205_FCN           /* ISR 205 */
   (tU32)&IRQ_205_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_206_FCN           /* ISR 206 */
   (tU32)&IRQ_206_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_207_FCN           /* ISR 207 */
   (tU32)&IRQ_207_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_208_FCN           /* ISR 208 */
   (tU32)&IRQ_208_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_209_FCN           /* ISR 209 */
   (tU32)&IRQ_209_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_210_FCN           /* ISR 210 */
   (tU32)&IRQ_210_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_211_FCN           /* ISR 211 */
   (tU32)&IRQ_211_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_212_FCN           /* ISR 212 */
   (tU32)&IRQ_212_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_213_FCN           /* ISR 213 */
   (tU32)&IRQ_213_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_214_FCN           /* ISR 214 */
   (tU32)&IRQ_214_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_215_FCN           /* ISR 215 */
   (tU32)&IRQ_215_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_216_FCN           /* ISR 216 */
   (tU32)&IRQ_216_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_217_FCN           /* ISR 217 */
   (tU32)&IRQ_217_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_218_FCN           /* ISR 218 */
   (tU32)&IRQ_218_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_219_FCN           /* ISR 219 */
   (tU32)&IRQ_219_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_220_FCN           /* ISR 220 */
   (tU32)&IRQ_220_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_221_FCN           /* ISR 221 */
   (tU32)&IRQ_221_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_222_FCN           /* ISR 222 */
   (tU32)&IRQ_222_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_223_FCN           /* ISR 223 */
   (tU32)&IRQ_223_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_224_FCN           /* ISR 224 */
   (tU32)&IRQ_224_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_225_FCN           /* ISR 225 */
   (tU32)&IRQ_225_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_226_FCN           /* ISR 226 */
   (tU32)&IRQ_226_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_227_FCN           /* ISR 227 */
   (tU32)&IRQ_227_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_228_FCN           /* ISR 228 */
   (tU32)&IRQ_228_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_229_FCN           /* ISR 229 */
   (tU32)&IRQ_229_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_230_FCN           /* ISR 230 */
   (tU32)&IRQ_230_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_231_FCN           /* ISR 231 */
   (tU32)&IRQ_231_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_232_FCN           /* ISR 232 */
   (tU32)&IRQ_232_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_233_FCN           /* ISR 233 */
   (tU32)&IRQ_233_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_234_FCN           /* ISR 234 */
   (tU32)&IRQ_234_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_235_FCN           /* ISR 235 */
   (tU32)&IRQ_235_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_236_FCN           /* ISR 236 */
   (tU32)&IRQ_236_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_237_FCN           /* ISR 237 */
   (tU32)&IRQ_237_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_238_FCN           /* ISR 238 */
   (tU32)&IRQ_238_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_239_FCN           /* ISR 239 */
   (tU32)&IRQ_239_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_240_FCN           /* ISR 240 */
   (tU32)&IRQ_240_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_241_FCN           /* ISR 241 */
   (tU32)&IRQ_241_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_242_FCN           /* ISR 242 */
   (tU32)&IRQ_242_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_243_FCN           /* ISR 243 */
   (tU32)&IRQ_243_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_244_FCN           /* ISR 244 */
   (tU32)&IRQ_244_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_245_FCN           /* ISR 245 */
   (tU32)&IRQ_245_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_246_FCN           /* ISR 246 */
   (tU32)&IRQ_246_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_247_FCN           /* ISR 247 */
   (tU32)&IRQ_247_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_248_FCN           /* ISR 248 */
   (tU32)&IRQ_248_FCN,
#else
   (tU32)&dummy,
#endif
#ifdef IRQ_249_FCN           /* ISR 249 */
   (tU32)&IRQ_249_FCN,
#else
   (tU32)&dummy,
#endif
};      

#ifdef __GNUC__
__attribute__ ((section(".text")))
#endif

/*========================================================================*/
/*			FUNCTIONS													  */
/*========================================================================*/
  
/**************************************************************************/
/* FUNCTION     : dummy													  */
/* PURPSE      : Dummy function which is entered if any non-used vector   */
/*							is called.									  */
/**************************************************************************/
void dummy (void) {
     
    while (1){};                 
	    
}  
