/******************************************************************************
*
* Copyright 2006-2015 Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
*
***************************************************************************//*!
*
* @file     siul.h
*
* @author   r63172
* 
* @version  1.0.1.0
* 
* @date     Jul-13-2012
* 
* @brief    SIUL - System Integration Unit for MPC5643L
*
*******************************************************************************
*
* This file includes initial setting and MACRO definitions of MPC5643L SIUL
* peripheral module. The port settings are valid for MAPBGA257 package.
*
******************************************************************************/
#ifndef _SIUL_H_
#define _SIUL_H_

//#include "typedefs.h"
#include "SWLIBS_Typedefs.h"

/******************************************************************************
* Global SIU variables definition
******************************************************************************/
// Pointer to SIU structure
extern volatile SIUL_tag *pSIUL;

///* Leopard package Definition - TQFP100 is default */
//#define MAPBGA257
////#define TQFP144
//
//#ifdef MAPBGA257
//    #define TQFP144
//#endif
/******************************************************************************
* Exported functions
*******************************************************************************/
extern void siul_init(void);

#endif /* _SIUL_H_ */
