/******************************************************************************
*
* Copyright 2006-2015 Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
*
***************************************************************************//*!
*
* @file     MPC5643L_LLD_qs.h
*
* @author   r63172
*
* @version  1.0.1.0
*
* @date     Jul-13-2012
*
* @brief    Master header file for MPC5643L_QuickStart
*
*******************************************************************************
*
* Detailed Description of the file.
*
******************************************************************************/
#include "MPC5643L_LLD.h"

/*******************************************************
* ioctl commands macro
* periph - Defined instance of a peripheral module
* cmd - command
* prm - parameter
*******************************************************/
#define ioctl(periph,cmd,prm) ioctl##cmd((periph),(prm))

/* set bits using the bfset instruction */
#define periphBitSet(mask, addr)   (*(addr) |= (mask))

/* clear bits using the bfclr instruction */
#define periphBitClear(mask, addr) (*(addr) &= ~(mask))
