/******************************************************************************
*
* Copyright 2006-2015 Freescale Semiconductor, Inc.
* Copyright 2016-2017 NXP
*
***************************************************************************//*!
*
* @file   uart_init.h
*
* @brief  FreeMASTER driver private declarations, used internally by the driver
*
* @version 1.0.1.0
* 
* @date Jul-13-2012
* 
*******************************************************************************/
#include "MPC5643L_qs.h"
#include "freemaster.h"
#include "freemaster_MPC56xx.h"

// *****************************************************************************
extern void uart_rx_isr();
extern void uart_tx_isr();
extern void transmit_test();

extern volatile LINFLEX_tag *linflex0;
extern void uart_init(void);

// *****************************************************************************
